#include <stdio.h>
#include <memory>

class Object {
public:
	Object() {printf("+Object\n");}
	~Object() {printf("-Object\n");}
};

thread_local std::unique_ptr<Object> tlsObject;

extern "C" void _EXPORT InitObject()
{
	tlsObject.reset(new Object());
}
